import type { Chain, Network } from "@ultronswap-wormhole/sdk-base";
import { amount } from "@ultronswap-wormhole/sdk-base";
import type { ChainContext, TokenId } from "@ultronswap-wormhole/sdk-definitions";
import type { TransferQuote } from "../types.js";
import type { Wormhole } from "../wormhole.js";
import type { TokenDetails } from "./token.js";
import type { Quote, ValidatedTransferParams } from "./types.js";
export declare class RouteTransferRequest<N extends Network> {
    source: TokenDetails;
    destination: TokenDetails;
    fromChain: ChainContext<N>;
    toChain: ChainContext<N>;
    private constructor();
    parseAmount(amt: string): amount.Amount;
    amountFromBaseUnits(amt: bigint): amount.Amount;
    displayQuote<OP, VP extends ValidatedTransferParams<OP> = ValidatedTransferParams<OP>>(quote: TransferQuote, params: VP, details?: any): Promise<Quote<OP, VP>>;
    static create<N extends Network, FC extends Chain, TC extends Chain>(wh: Wormhole<N>, params: {
        source: TokenId<FC>;
        destination: TokenId<TC>;
        sourceDecimals?: number;
        destinationDecimals?: number;
    }, fromChain?: ChainContext<N, FC>, toChain?: ChainContext<N, TC>): Promise<RouteTransferRequest<N>>;
}
//# sourceMappingURL=request.d.ts.map