import { amount } from "@ultronswap-wormhole/sdk-base";
// Special error to return from quote() or validate() when the
// given transfer amount is too small. Used to helpfully
// show a minimum amount in the interface.
export class MinAmountError extends Error {
    min;
    constructor(min) {
        super(`Minimum transfer amount is ${amount.display(min)}`);
        this.min = min;
    }
    minAmount() {
        return this.min;
    }
}
// Special error to return from quote() or validate() when the
// protocol can't provide a quote.
export class UnavailableError extends Error {
    internalError;
    constructor(internalErr) {
        super(`Unable to fetch a quote`);
        this.internalError = internalErr;
    }
}
//# sourceMappingURL=types.js.map